### Interface

# Gio DtlsClientConnection

since: 2.48

#### Description

    interface Gio.DtlsClientConnection : Gio.DatagramBased

`GDtlsClientConnection` is the client-side subclass of `GDtlsConnection`, representing a client-side DTLS connection.

Available since: 2.48

#### Prerequisite

In order to implement DtlsClientConnection, your type must inherit from`GDatagramBased`.

#### Functions

###### g_dtls_client_connection_new

Creates a new `GDtlsClientConnection` wrapping `base_socket` which is assumed to communicate with the server identified by `server_identity`.

since: 2.48

#### Instance methods

###### g_dtls_client_connection_get_accepted_cas

Gets the list of distinguished names of the Certificate Authorities that the server will accept certificates from. This will be set during the TLS handshake if the server requests a certificate. Otherwise, it will be `NULL`.

since: 2.48

###### g_dtls_client_connection_get_server_identity

Gets `conn`‘s expected server identity.

since: 2.48

###### g_dtls_client_connection_get_validation_flags

Gets `conn`‘s validation flags.

deprecated: 2.74 since: 2.48

###### g_dtls_client_connection_set_server_identity

Sets `conn`‘s expected server identity, which is used both to tell servers on virtual hosts which certificate to present, and also to let `conn` know what name to look for in the certificate when performing `G_TLS_CERTIFICATE_BAD_IDENTITY` validation, if enabled.

since: 2.48

###### g_dtls_client_connection_set_validation_flags

Sets `conn`‘s validation flags, to override the default set of checks performed when validating a server certificate. By default, `G_TLS_CERTIFICATE_VALIDATE_ALL` is used.

deprecated: 2.74 since: 2.48

#### Properties

###### Gio.DtlsClientConnection:accepted-cas

A list of the distinguished names of the Certificate Authorities that the server will accept client certificates signed by. If the server requests a client certificate during the handshake, then this property will be set after the handshake completes.

since: 2.48

###### Gio.DtlsClientConnection:server-identity

A `GSocketConnectable` describing the identity of the server that is expected on the other end of the connection.

since: 2.48

###### Gio.DtlsClientConnection:validation-flags

What steps to perform when validating a certificate received from a server. Server certificates that fail to validate in any of the ways indicated here will be rejected unless the application overrides the default via `GDtlsConnection::accept-certificate`.

deprecated: 2.74 since: 2.48

#### Interface structure

    struct GioDtlsClientConnectionInterface {
      GTypeInterface g_iface;

    }

Vtable for a `GDtlsClientConnection` implementation.

###### Interface members

`g_iface` |
    GTypeInterface
| The parent interface.